# The "Canis Major" upgrade guide (v1.\* to v2.0.1) at block height 922,363:

For a full overview of the latest upgrades, please refer to "[Notes on network upgrades](https://docs.cronos-pos.org/for-node-hosts/getting-started/mainnet#step-0-notes-on-network-upgrades)".

{% hint style="warning" %}
**Warning**:

The chain-maind `v2.0.1` - Canis Major upgrade is completed at block height `922,363`
{% endhint %}

For those who want to enjoy the automatic upgrade managed by [cosmovisor](https://docs.cosmos.network/main/build/tooling/cosmovisor), please follow this [cosmovisor guide](https://docs.cosmos.network/v0.46/run-node/cosmovisor.html#detecting-upgrades) for the coming "Canis Major" network upgrade. Otherwise, please continue below manual upgrade steps.

## Step 0 - Don't panic

Once you have started syncing the blockchain from block `1` by using `v1.*` binary, at the point of reaching block height `922,363`, user will see the following error message on the `chain-maind`:

`ERR UPGRADE "v2.0.0" NEEDED at time: 2021-06-01T23:59:00Z: {"binaries":{"darwin/amd64":"https://github.com/crypto-org-chain/chain-main/releases/download/v2.0.1/chain-main_2.0.1_Darwin_x86_64.tar.gz?checksum=sha256:a4d51bf98350c7ecbb5e6bab192c9cac2f4059754e5507d2a1970a8a5488c74a","darwin/arm64":"https://github.com/crypto-org-chain/chain-main/releases/download/v2.0.1/chain-main_2.0.1_Darwin_arm64.tar.gz?checksum=sha256:eb6274724eab1957a7b708a5a0887de9f213d053841fb58041f697e13728a454","linux/amd64":"https://github.com/crypto-org-chain/chain-main/releases/download/v2.0.1/chain-main_2.0.1_Linux_x86_64.tar.gz?checksum=sha256:5e9e9f703cb85c72573086e384e187e752463b2ed0ccd612094a1f29a13f0158","linux/arm64":"https://github.com/crypto-org-chain/chain-main/releases/download/v2.0.1/chain-main_2.0.1_Linux_arm64.tar.gz?checksum=sha256:345c7eacfc768df355c3b3ecadc9cc39e3c1656c9c0c4d465b938834fa66ff03","windows/amd64":"https://github.com/crypto-org-chain/chain-main/releases/download/v2.0.1/chain-main_2.0.1_Windows_x86_64.zip?checksum=sha256:07b06382397df49774788ec06a5c9d0bf7e28ddb7b1dd91abdb35174bce49a31"}}`

Validators and full node hosts will have to upgrade your Cronos POS Chain nodes to the `v2.0.1` binary.

## Step 1 - Get the `v2.0.1` binary

To simplify the following step, we will be using **Linux** for illustration. Binary for [Mac](https://github.com/crypto-org-chain/chain-main/releases/download/v2.0.1/chain-main_2.0.1_Darwin_x86_64.tar.gz) and [Windows](https://github.com/crypto-org-chain/chain-main/releases/download/v2.0.1/chain-main_2.0.1_Windows_x86_64.zip) are also available.

* Terminate the `chain-maind`; afterwards, download the `v2.0.1` released binaries from github:

  ```bash
  $ curl -LOJ https://github.com/crypto-org-chain/chain-main/releases/download/v2.0.1/chain-main_2.0.1_Linux_x86_64.tar.gz
  $ tar -zxvf chain-main_2.0.1_Linux_x86_64.tar.gz
  ```

  <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p><strong>Remarks</strong>: If you have stated <code>chain-maind</code> with <em>systemd</em> service, kindly stop it by</p><pre class="language-bash"><code class="lang-bash">$ sudo systemctl stop chain-maind
  </code></pre><p>And replace the binary in the location where the <code>ExecStart</code> states in Systemd Unit file.</p></div>

* For [homebrew](https://github.com/crypto-org-chain/homebrew-chain-maind#chain-maind-homebrew-tap) users, simply run

  ```bash
  $ brew upgrade chain-maind
  ```

### Step 1.1 - Verify the version

You can verify the installation by checking the version of `chain-maind`, the latest version is `2.0.1`.

```bash
# check the version of chain-maind
$ ./chain-maind version
2.0.1
```

## Step 2. - Run everything

We are ready to start the node join the network again with the new binary:

* Start `chain-maind`, e.g.:

```bash
  $ ./chain-maind start
```

Sit back and wait for the syncing process. You can query the node syncing status by

```bash
$ ./chain-maind status 2>&1 | jq '.SyncInfo.catching_up'
```

If the above command returns `false`, it means that your node **is synced**; otherwise, it returns `true` and implies your node is still catching up.

## Getting ready - "DRACO II" second netwrok upgrade

At last step, you've successfully performed the **"Canis Major"** binary upgrade! Allow sometime for the node to catch up, meanwhile, you can get ready for **"DRACO II"** ,the second network upgrade ( from `v2.*` to `v3.1.1` at block height `2,472,800` ) by following this [guide](https://docs.cronos-pos.org/~/changes/2e2355w5GSNes3nTqLmc/for-node-hosts/getting-started/mainnet/upgrade-guide/upgrade_guide_draco_2).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cronos-pos.org/~/changes/2e2355w5GSNes3nTqLmc/for-node-hosts/getting-started/mainnet/upgrade-guide/upgrade_guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
